> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hypersync.tartanhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Setup Employee Update Config



## OpenAPI

````yaml POST /api/webhook/v1/setup-config/
openapi: 3.0.0
info:
  title: Employee List API
  description: Retrieve a paginated list of employees from the organization.
  version: 1.0.0
servers:
  - url: https://{env}.tartanhq.com
    description: Dynamic environment-based server
    variables:
      env:
        default: dev
security: []
paths:
  /api/webhook/v1/setup-config/:
    post:
      summary: Setup Config
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SetupConfigRequest'
      responses:
        '200':
          description: Successful response
components:
  schemas:
    SetupConfigRequest:
      type: object
      properties:
        client_id:
          type: string
        client_secret:
          type: string
        hrms_id:
          type: string
        access_credentials:
          $ref: '#/components/schemas/AccessCredentials'
        api_configs:
          type: array
          items:
            $ref: '#/components/schemas/ApiConfig'
    AccessCredentials:
      type: object
      properties:
        client_id:
          type: string
        client_secret:
          type: string
        api_key:
          type: string
        grant_type:
          type: string
        hrms_host:
          type: string
    ApiConfig:
      type: object
      properties:
        api_id:
          type: string
        access_credentials:
          $ref: '#/components/schemas/AccessCredentials'
      required:
        - api_id

````